//
// Created by sfd on 25-4-21.
//

#ifndef GRAPHICSCONTEXT_H
#define GRAPHICSCONTEXT_H

#include "Hazel/Core/Core.h"

namespace Hazel
{
    class HAZEL_API GraphicsContext
    {
    public:
        virtual ~GraphicsContext() = default;
        virtual void Init() = 0;
        virtual void SwapBuffers() = 0;

        virtual void* GetGLContext() = 0;
    };
}


#endif //GRAPHICSCONTEXT_H
